import bpy

class Test_Preferences(bpy.types.AddonPreferences):
    bl_idname = __name__.split('.')[0]
    cache_folder : bpy.props.StringProperty(name='project cache folder'
                                            ,description='default render folder'
                                            ,subtype='DIR_PATH', default= '//test_cache/')

    def draw(self, context):
        layout = self.layout
        box = layout.box()
        box.prop(self,'cache_folder',expand =True)

def register_prefs():
    bpy.utils.register_class(Test_Preferences)

def un_register_prefs():
    bpy.utils.unregister_class(Test_Preferences)
